Payment Links
API ReferencePayment LinksList Payment Links
List Payment Links
Retrieve a list of payment links.
POST /payment_link/list
Body Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | 10 | Number of links to return (max: 100) |
offset | integer | No | 0 | Number of links to skip |
status | string | No | — | Filter by status (active, expired) |
Request Example
curl -X POST 'https://api.rpayz.com/payment_link/list' \ -H "Content-Type: application/json" \ -H "api-key: snd_YOUR_API_KEY" \ -d '{ "limit": 10, "status": "active"}'Response
{"count": 1,"total_count": 5,"data": [ { "payment_link_id": "plink_1234567890", "amount": 5000, "currency": "USD", "url": "https://buy.rpayz.com/plink_1234567890", "status": "active", "created": "2024-01-22T10:00:00Z" }]}